Short Interest Data
curl --request GET \
--url 'https://api.benzinga.com/api/v1/shortinterest?token='import requests
url = "https://api.benzinga.com/api/v1/shortinterest?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/shortinterest?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v1/shortinterest?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v1/shortinterest?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v1/shortinterest?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v1/shortinterest?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"shortInterestData": {
"AAPL": {
"data": [
{
"recordDate": "2026-01-12",
"symbol": "AAPL",
"company": "Apple Inc. Common Stock",
"totalShortInterest": "112732788",
"daysToCover": 2.71,
"shortPercentOfFloat": 0.77,
"shortPriorMo": "122035714",
"percentChangeMoMo": -7.62,
"sharesFloat": "14688854878",
"averageDailyVolume": "41632615",
"sharesOutstanding": "14697926000",
"exchange": "NNM",
"sector": "Technology",
"industry": "Consumer Electronics",
"exchangeReceiptDate": "2026-01-05",
"settlementDate": "2025-12-31"
}
]
}
}
}
Market Data
Short Interest
Retrieves short interest data for specified securities. Includes information about shares sold short, days to cover, and short interest ratios. Supports optional FINRA report data and date range filtering.
GET
/
api
/
v1
/
shortinterest
Short Interest Data
curl --request GET \
--url 'https://api.benzinga.com/api/v1/shortinterest?token='import requests
url = "https://api.benzinga.com/api/v1/shortinterest?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/shortinterest?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v1/shortinterest?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v1/shortinterest?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v1/shortinterest?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v1/shortinterest?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"shortInterestData": {
"AAPL": {
"data": [
{
"recordDate": "2026-01-12",
"symbol": "AAPL",
"company": "Apple Inc. Common Stock",
"totalShortInterest": "112732788",
"daysToCover": 2.71,
"shortPercentOfFloat": 0.77,
"shortPriorMo": "122035714",
"percentChangeMoMo": -7.62,
"sharesFloat": "14688854878",
"averageDailyVolume": "41632615",
"sharesOutstanding": "14697926000",
"exchange": "NNM",
"sector": "Technology",
"industry": "Consumer Electronics",
"exchangeReceiptDate": "2026-01-05",
"settlementDate": "2025-12-31"
}
]
}
}
}
{
"shortInterestData": {
"AAPL": {
"data": [
{
"recordDate": "2026-01-12",
"symbol": "AAPL",
"company": "Apple Inc. Common Stock",
"totalShortInterest": "112732788",
"daysToCover": 2.71,
"shortPercentOfFloat": 0.77,
"shortPriorMo": "122035714",
"percentChangeMoMo": -7.62,
"sharesFloat": "14688854878",
"averageDailyVolume": "41632615",
"sharesOutstanding": "14697926000",
"exchange": "NNM",
"sector": "Technology",
"industry": "Consumer Electronics",
"exchangeReceiptDate": "2026-01-05",
"settlementDate": "2025-12-31"
}
]
}
}
}
Query Parameters
Response
Short interest data for requested symbols
The response is of type object.
Was this page helpful?